:mod:`guillotina.schema`
------------------------

.. automodule:: guillotina.schema

  .. autoclass:: Bool
     :members:

  .. autoclass:: Bytes
     :members:

  .. autoclass:: Choice
     :members:

  .. autoclass:: Date
     :members:

  .. autoclass:: Datetime
     :members:

  .. autoclass:: Decimal
     :members:

  .. autoclass:: Dict
     :members:

  .. autoclass:: Float
     :members:

  .. autoclass:: Int
     :members:

  .. autoclass:: JSONField
     :members:

  .. autoclass:: List
     :members:

  .. autoclass:: Set
     :members:

  .. autoclass:: Text
     :members:

  .. autoclass:: TextLine
     :members:

  .. autoclass:: Time
     :members:


.. automodule:: guillotina.fields

  .. autoclass:: PatchField
     :members:

  .. autoclass:: BucketListField
     :members:
   
  .. autoclass:: BucketDictField
     :members:

  .. autoclass:: CloudFileField
     :members:
